<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('vikas_kamach_gopniy_dakhlas', function (Blueprint $table) {
            $table->id();
            $table->string('applicant_name')->nullable();
            $table->string('applicant_address')->nullable();
            $table->string('mobile_no')->nullable();
            $table->string('email_id')->nullable();
            $table->string('company_name')->nullable();
            $table->string('work_name')->nullable();
            $table->string('work_order_no')->nullable();
            $table->date('work_completion_date')->nullable();
            $table->string('work_order_doc')->nullable();
            $table->string('work_completion_doc')->nullable();
            $table->string('nigarmit_doc')->nullable();
            $table->string('company_registration_doc')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vikas_kamach_gopniy_dakhlas');
    }
};
